Bug 730395

Summary: use slapi_rwlock instead of NSPR PR_RWLock directly
Product: [Fedora] Fedora Reporter: Rich Megginson <rmeggins>
Component: freeipaAssignee: Rob Crittenden <rcritten>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: high    
Version: rawhideCC: mkosek, rcritten, ssorce
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 730436 (view as bug list) Environment:
Last Closed: 2011-10-19 15:10:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 730387, 743979    
Bug Blocks: 730436    

Description Rich Megginson 2011-08-12 18:48:49 UTC
NSPR PR_RWLocks are not re-entrant.  389 is refactoring its code to provide and use slapi_rwlocks instead.  All freeipa plugins should be refactored to use the slapi_rwlock interface when it is available.

Comment 3 Martin Kosek 2011-08-15 06:58:06 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1635

Comment 5 Rob Crittenden 2011-10-19 15:10:58 UTC
Fixed in 2.1.1